#include "Mix/Tool/Win32/Core/Graphics/Model.h"

#include <shlwapi.h>

#include "Mix/Tool/Win32/Core/Graphics/Manager.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Graphics{

Model::Model( void ) :
m_SaveFilePath( L"" )
{
}

Model::~Model( void )
{
}

void Model::SetModelFilePath( const wchar_t* pFilePath )
{
	m_SaveFilePath = ( pFilePath != NULL )? pFilePath : L"";
}

const wchar_t* Model::GetModelFilePath( void ) const
{
	return m_SaveFilePath.c_str();
}

bool Model::IsAvailableSaveModel( void ) const
{
	return ( m_SaveFilePath.size() > 0 );
}

}}}}
